Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(8)

Issue 1129123004: Don't treat http://gpu as a WebUI url (Closed)

Created:
4 years, 2 months ago by Evan Stade
Modified:
4 years, 2 months ago
Reviewers:
jam, felt, davidben, Will Harris
CC:
chromium-reviews, jam, darin-cc_chromium.org, nasko+codewatch_chromium.org, creis+watch_chromium.org, ajwong+watch_chromium.org, James Hawkins
Base URL:
https://chromium.googlesource.com/chromium/src.git@master
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

Don't treat http://gpu as a WebUI url BUG=464922 Committed: https://crrev.com/7cdcf50b4ae3858f5132a1bb0d4cb5e104527b42 Cr-Commit-Position: refs/heads/master@{#329285}

Patch Set 1 #

Patch Set 2 : can't DCHECK #

Patch Set 3 : rebase #

Patch Set 4 : DEPS and another rebase #

Total comments: 5

Patch Set 5 : CONTENT_EXPORT #

Unified diffs Side-by-side diffs Delta from patch set Stats (+37 lines, -76 lines) Patch
M content/browser/site_instance_impl_unittest.cc View 8 chunks +14 lines, -31 lines 0 comments Download
M content/browser/web_contents/web_contents_impl_unittest.cc View 1 2 4 7 chunks +14 lines, -43 lines 0 comments Download
M content/browser/webui/content_web_ui_controller_factory.h View 1 2 3 4 1 chunk +2 lines, -1 line 0 comments Download
M content/browser/webui/content_web_ui_controller_factory.cc View 1 3 chunks +7 lines, -1 line 0 comments Download

Messages

Total messages: 26 (10 generated)
Evan Stade
the reason I modified existing unit tests instead of writing a new one for ContentWebUIControllerFactory ...
4 years, 2 months ago (2015-05-07 17:02:42 UTC) #2
Evan Stade
On 2015/05/07 17:02:42, Evan Stade wrote: > the reason I modified existing unit tests instead ...
4 years, 2 months ago (2015-05-08 14:58:14 UTC) #3
Evan Stade
ping +more reviewers (felt and davidben) Also, tips on the link error?
4 years, 2 months ago (2015-05-08 18:52:47 UTC) #5
Will Harris
On 2015/05/08 18:52:47, Evan Stade wrote: > ping > > +more reviewers (felt and davidben) ...
4 years, 2 months ago (2015-05-09 00:24:04 UTC) #6
davidben
lgtm https://codereview.chromium.org/1129123004/diff/60001/content/browser/DEPS File content/browser/DEPS (right): https://codereview.chromium.org/1129123004/diff/60001/content/browser/DEPS#newcode22 content/browser/DEPS:22: "+webui", Why is this line needed? (I don't ...
4 years, 2 months ago (2015-05-09 00:31:05 UTC) #7
Evan Stade
https://codereview.chromium.org/1129123004/diff/60001/content/browser/DEPS File content/browser/DEPS (right): https://codereview.chromium.org/1129123004/diff/60001/content/browser/DEPS#newcode22 content/browser/DEPS:22: "+webui", On 2015/05/09 00:31:05, David Benjamin wrote: > Why ...
4 years, 2 months ago (2015-05-09 00:57:00 UTC) #8
felt
the scheme check lgtm
4 years, 2 months ago (2015-05-09 01:01:24 UTC) #9
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1129123004/80001
4 years, 2 months ago (2015-05-09 01:14:21 UTC) #12
commit-bot: I haz the power
Try jobs failed on following builders: android_chromium_gn_compile_dbg on tryserver.chromium.linux (JOB_TIMED_OUT, no build URL) android_chromium_gn_compile_rel on ...
4 years, 2 months ago (2015-05-09 05:34:15 UTC) #14
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1129123004/80001
4 years, 2 months ago (2015-05-09 11:52:19 UTC) #16
commit-bot: I haz the power
Try jobs failed on following builders: android_chromium_gn_compile_dbg on tryserver.chromium.linux (JOB_TIMED_OUT, no build URL) android_chromium_gn_compile_rel on ...
4 years, 2 months ago (2015-05-09 15:57:18 UTC) #18
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1129123004/80001
4 years, 2 months ago (2015-05-11 17:24:01 UTC) #20
commit-bot: I haz the power
Try jobs failed on following builders: linux_android_rel_ng on tryserver.chromium.linux (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.linux/builders/linux_android_rel_ng/builds/21446)
4 years, 2 months ago (2015-05-11 19:17:23 UTC) #22
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1129123004/80001
4 years, 2 months ago (2015-05-11 23:17:13 UTC) #24
commit-bot: I haz the power
Committed patchset #5 (id:80001)
4 years, 2 months ago (2015-05-12 00:09:20 UTC) #25
commit-bot: I haz the power
4 years, 2 months ago (2015-05-12 00:10:07 UTC) #26
Message was sent while issue was closed.
Patchset 5 (id:??) landed as
https://crrev.com/7cdcf50b4ae3858f5132a1bb0d4cb5e104527b42
Cr-Commit-Position: refs/heads/master@{#329285}

Powered by Google App Engine
This is Rietveld 408576698